| XMP Toolkit SDK 6.0.0

Classes | Typedefs | Enumerations | Functions | Variables
AdobeXMPCommon Namespace Reference

## Classes
class | IConfigurable
| Interface that allows to attach various key-value parameters to the underlying object. More...
class | IConfigurationManager_v1
| Version1 of the interface that represents configuration settings controllable by the client. More...
class | IConfigurationManagerProxy
class | IError_v1
| Version1 of the interface that represents an error/warning encountered during processing. More...
class | IErrorNotifier_v1
| Version1 of the interface that represents an interface to be implemented by client in case he is interested in getting notifications with respect to errors/warnings encountered by library. More...
class | IMemoryAllocator_v1
| Version1 of the interface that represents an interface to be implemented by client in case he is interested in controlling the memory allocation and deallocation on the heap. More...
class | IObjectFactory_v1
| Version1 of a interface that represents a factory to create various artifacts defined within AdobeXMPCommon namespace. More...
class | ISharedObject
| Interface that serves as the base interface of all the externally exposed interfaces. More...
class | IThreadSafe
| Interface that serves as the base interface for all the externally exposed interfaces which needs to provide client configurable thread safety. More...
class | IUTF8String_v1
| Version1 of the interface that represents an UTF8String. More...
class | IVersionable
| Interface that serves as the base interface for all the externally exposed interfaces which needs to provide evolving versions of the interface. More...
class | ReportErrorAndContinueFunctor
| A Function object used by the client to report back and warnings to the library encountered during the serialization operation. More...

## Typedefs
typedef uint32(* | ReportErrorAndContinueABISafeProc) (uint32 errorDomain, uint32 errorCode, uint32 errorSeverity, const char *message, pcIError_base &error)
| A function pointer to report back errors and warnings to the library encountered during the serialization operation. More...
typedef XMP_Int64 | int64
typedef XMP_Uns64 | uint64
typedef XMP_Int32 | int32
typedef XMP_Uns32 | uint32
typedef uint32 | sizet
typedef void * | pvoid
typedef shared_ptr< void > | spvoid
typedef shared_ptr< const void * > | spcvoid
typedef IObjectFactory_v1 | IObjectFactory_base
typedef IObjectFactory_v1 * | pIObjectFactory_base
typedef IObjectFactory * | pIObjectFactory
typedef IError_v1 | IError_base
typedef IError_v1 * | pIError_base
typedef IError * | pIError
typedef shared_ptr< IError > | spIError
typedef shared_ptr< const IError > | spcIError
typedef IUTF8String_v1 | IUTF8String_base
typedef IUTF8String_v1 * | pIUTF8String_base
typedef IUTF8String * | pIUTF8String
typedef shared_ptr< IUTF8String > | spIUTF8String
typedef shared_ptr< const IUTF8String > | spcIUTF8String
typedef IMemoryAllocator_v1 | IMemoryAllocator_base
typedef IMemoryAllocator_v1 * | pIMemoryAllocator_base
typedef IMemoryAllocator * | pIMemoryAllocator
typedef shared_ptr< IMemoryAllocator > | spIMemoryAllocator
typedef shared_ptr< const IMemoryAllocator > | spcIMemoryAllocator
typedef IErrorNotifier_v1 | IErrorNotifier_base
typedef IErrorNotifier_v1 * | pIErrorNotifier_base
typedef IErrorNotifier * | pIErrorNotifier
typedef shared_ptr< IErrorNotifier > | spIErrorNotifier
typedef shared_ptr< const IErrorNotifier > | spcIErrorNotifier
typedef IConfigurationManager_v1 | IConfigurationManager_base
typedef IConfigurationManager_v1 * | pIConfigurationManager_base
typedef IConfigurationManager * | pIConfigurationManager
typedef shared_ptr< IConfigurationManager > | spIConfigurationManager
typedef shared_ptr< const IConfigurationManager > | spcIConfigurationManager
typedef IConfigurable * | pIConfigurable
typedef std::vector< spIUTF8String > | IUTF8Strings
typedef std::vector< spcIUTF8String > | cIUTF8Strings
typedef shared_ptr< IUTF8Strings > | spIUTF8Strings
typedef shared_ptr< cIUTF8Strings > | spcIUTF8Strings
typedef shared_ptr< const IUTF8Strings > | spIUTF8Strings_const
typedef shared_ptr< const cIUTF8Strings > | spcIUTF8Strings_const
typedef void *(* | MemAllocateProc) (sizet size)
| A function pointer to get the memory allocated from the library. More...
typedef void(* | MemReleaseProc) (void *ptr)
| A function pointer to get the memory freed from the library. More...

## Enumerations
enum | eGeneralErrorCode { kGECNone = 0, kGECParametersNotAsExpected = 1, kGECVersionUnavailable = 2, kGECAssertionFailure = 3, kGECLogicalError = 4, kGECIndexOutOfBounds = 5, kGECInternalFailure = 6, kGECDeprecatedFunctionCall = 7, kGECExternalFailure = 8, kGECUnknownFailure = 9, kGECUserAbort = 10, kGECInterfaceUnavailable = 11, kGECClientThrownExceptionCaught = 100, kGECStandardException = 101, kGECUnknownExceptionCaught = 200, kGECNotImplemented = 10000, kGECMaxValue = kMaxEnumValue }
| Indicates various types of error codes within General Domain. More...
enum | eMemoryManagementErrorCode { kMMECNone = 0, kMMECAllocationFailure = 1, kMMECMaxValue = kMaxEnumValue }
| Indicates various types of error codes within Memory Management domain. More...
enum | eConfigurableErrorCode { kCECNone = 0, kCECKeyNotSupported = 1, kCECValueTypeNotSupported = 2, kCECPreviousTypeDifferent = 3, kCECValueTypeMismatch = 4, kCECValueNotSupported = 5, kCECodeMaxValue = 0xFFFFFFFF }
| Indicates various types of error codes within Configurable domain. More...

## Functions
const sizet | kMaxSize ((sizet) -1)
const sizet | npos (kMaxSize)
static const uint32 | kMaxEnumValue (Max_XMP_Uns32)
static const uint32 | kAllBits (0xFFFFFFFF)
static const uint64 | kIErrorID (0x6e4572726f722020)
static const uint64 | kIUTF8StringID (0x6e55544638537472)
static const uint64 | kIObjectFactoryID (0x6e4f626a46616374)
static const uint64 | kIErrorNotifierID (0x6e4572724e6f7466)
static const uint64 | kIConfigurationManagerID (0x6e436f6e664d6772)
typedef | BASE_CLASS (IObjectFactory, IOBJECTFACTORY_VERSION) IObjectFactory
typedef | BASE_CLASS (IError, IERROR_VERSION) IError
typedef | BASE_CLASS (IUTF8String, IUTF8STRING_VERSION) IUTF8String
typedef | BASE_CLASS (IMemoryAllocator, IMEMORYALLOCATOR_VERSION) IMemoryAllocator
typedef | BASE_CLASS (IErrorNotifier, IERRORNOTIFIER_VERSION) IErrorNotifier
typedef | BASE_CLASS (IConfigurationManager, ICONFIGURATIONMANAGER_VERSION) IConfigurationManager
void * | MemAllocate (sizet size) __NOTHROW__
void | MemRelease (void *ptr) __NOTHROW__

## Variables
const typedef void * | pcvoid
const typedef IObjectFactory_v1 * | pcIObjectFactory_base
const typedef IObjectFactory * | pcIObjectFactory
const typedef IError_v1 * | pcIError_base
const typedef IError * | pcIError
const typedef IUTF8String_v1 * | pcIUTF8String_base
const typedef IUTF8String * | pcIUTF8String
const typedef IMemoryAllocator_v1 * | pcIMemoryAllocator_base
const typedef IMemoryAllocator * | pcIMemoryAllocator
const typedef IErrorNotifier_v1 * | pcIErrorNotifier_base
const typedef IErrorNotifier * | pcIErrorNotifier
const typedef IConfigurationManager_v1 * | pcIConfigurationManager_base
const typedef IConfigurationManager * | pcIConfigurationManager
const typedef IConfigurable * | pcIConfigurable

## Typedef Documentation

## ◆ cIUTF8Strings

typedef std::vector< spcIUTF8String > AdobeXMPCommon::cIUTF8Strings

Definition at line 122 of file XMPCommonFwdDeclarations.h.

## ◆ IConfigurationManager_base

typedef IConfigurationManager_v1 AdobeXMPCommon::IConfigurationManager_base

Definition at line 105 of file XMPCommonFwdDeclarations.h.

## ◆ IError_base

typedef IError_v1 AdobeXMPCommon::IError_base

Definition at line 61 of file XMPCommonFwdDeclarations.h.

## ◆ IErrorNotifier_base

typedef IErrorNotifier_v1 AdobeXMPCommon::IErrorNotifier_base

Definition at line 94 of file XMPCommonFwdDeclarations.h.

## ◆ IMemoryAllocator_base

typedef IMemoryAllocator_v1 AdobeXMPCommon::IMemoryAllocator_base

Definition at line 83 of file XMPCommonFwdDeclarations.h.

## ◆ int32

typedef XMP_Int32 AdobeXMPCommon::int32

Definition at line 173 of file XMPCommonDefines.h.

## ◆ int64

typedef XMP_Int64 AdobeXMPCommon::int64

Definition at line 171 of file XMPCommonDefines.h.

## ◆ IObjectFactory_base

typedef IObjectFactory_v1 AdobeXMPCommon::IObjectFactory_base

Definition at line 52 of file XMPCommonFwdDeclarations.h.

## ◆ IUTF8String_base

typedef IUTF8String_v1 AdobeXMPCommon::IUTF8String_base

Definition at line 72 of file XMPCommonFwdDeclarations.h.

## ◆ IUTF8Strings

typedef std::vector< spIUTF8String > AdobeXMPCommon::IUTF8Strings

Definition at line 121 of file XMPCommonFwdDeclarations.h.

## ◆ MemAllocateProc

typedef void*( * AdobeXMPCommon::MemAllocateProc) (sizet size)

A function pointer to get the memory allocated from the library.

Parameters

  [in] | size | a value indicating the number of bytes to be allocated.

Returns
  a pointer to memory allocated by the library.

Note
  NULL value is returned in case memory allocation fails.

Definition at line 134 of file XMPCommonFwdDeclarations.h.

## ◆ MemReleaseProc

typedef void( * AdobeXMPCommon::MemReleaseProc) (void *ptr)

A function pointer to get the memory freed from the library.

Parameters

  [in] | ptr | address of the memory location to be freed.

Definition at line 141 of file XMPCommonFwdDeclarations.h.

## ◆ pIConfigurable

typedef IConfigurable* AdobeXMPCommon::pIConfigurable

Definition at line 116 of file XMPCommonFwdDeclarations.h.

## ◆ pIConfigurationManager

typedef IConfigurationManager* AdobeXMPCommon::pIConfigurationManager

Definition at line 110 of file XMPCommonFwdDeclarations.h.

## ◆ pIConfigurationManager_base

typedef IConfigurationManager_v1* AdobeXMPCommon::pIConfigurationManager_base

Definition at line 107 of file XMPCommonFwdDeclarations.h.

## ◆ pIError

typedef IError* AdobeXMPCommon::pIError

Definition at line 66 of file XMPCommonFwdDeclarations.h.

## ◆ pIError_base

typedef IError_v1* AdobeXMPCommon::pIError_base

Definition at line 63 of file XMPCommonFwdDeclarations.h.

## ◆ pIErrorNotifier

typedef IErrorNotifier* AdobeXMPCommon::pIErrorNotifier

Definition at line 99 of file XMPCommonFwdDeclarations.h.

## ◆ pIErrorNotifier_base

typedef IErrorNotifier_v1* AdobeXMPCommon::pIErrorNotifier_base

Definition at line 96 of file XMPCommonFwdDeclarations.h.

## ◆ pIMemoryAllocator

typedef IMemoryAllocator* AdobeXMPCommon::pIMemoryAllocator

Definition at line 88 of file XMPCommonFwdDeclarations.h.

## ◆ pIMemoryAllocator_base

typedef IMemoryAllocator_v1* AdobeXMPCommon::pIMemoryAllocator_base

Definition at line 85 of file XMPCommonFwdDeclarations.h.

## ◆ pIObjectFactory

typedef IObjectFactory* AdobeXMPCommon::pIObjectFactory

Definition at line 57 of file XMPCommonFwdDeclarations.h.

## ◆ pIObjectFactory_base

typedef IObjectFactory_v1* AdobeXMPCommon::pIObjectFactory_base

Definition at line 54 of file XMPCommonFwdDeclarations.h.

## ◆ pIUTF8String

typedef IUTF8String* AdobeXMPCommon::pIUTF8String

Definition at line 77 of file XMPCommonFwdDeclarations.h.

## ◆ pIUTF8String_base

typedef IUTF8String_v1* AdobeXMPCommon::pIUTF8String_base

Definition at line 74 of file XMPCommonFwdDeclarations.h.

## ◆ pvoid

typedef void* AdobeXMPCommon::pvoid

Definition at line 46 of file XMPCommonFwdDeclarations.h.

## ◆ ReportErrorAndContinueABISafeProc

typedef uint32( * AdobeXMPCommon::ReportErrorAndContinueABISafeProc) (uint32 errorDomain, uint32 errorCode, uint32 errorSeverity, const char *message, pcIError_base &error)

A function pointer to report back errors and warnings to the library encountered during the serialization operation.

Based on the error condition library can return 0 or non zero to indicate that a particular warning can be ignored and operation can continue.

Parameters

  [in] | errorDomain | An unsigned 32 bit integer indicating the domain of the error.
  [in] | errorCode | An unsigned 32 bit integer indicating the code of the error.
  [in] | errorSeverity | An unsigned 32 bit integer indicating the severity of the error.
  [out] | error | A reference to a pointer to const IError object which will be filled with the error object in case of any error.

Returns
  non zero value indicating that process can continue ignoring the warning, otherwise return 0 to indicate it should stop immediately.

Definition at line 345 of file IError.h.

## ◆ sizet

typedef uint32 AdobeXMPCommon::sizet

Definition at line 176 of file XMPCommonDefines.h.

## ◆ spcIConfigurationManager

typedef shared_ptr< const IConfigurationManager > AdobeXMPCommon::spcIConfigurationManager

Definition at line 113 of file XMPCommonFwdDeclarations.h.

## ◆ spcIError

typedef shared_ptr< const IError > AdobeXMPCommon::spcIError

Definition at line 69 of file XMPCommonFwdDeclarations.h.

## ◆ spcIErrorNotifier

typedef shared_ptr< const IErrorNotifier > AdobeXMPCommon::spcIErrorNotifier

Definition at line 102 of file XMPCommonFwdDeclarations.h.

## ◆ spcIMemoryAllocator

typedef shared_ptr< const IMemoryAllocator > AdobeXMPCommon::spcIMemoryAllocator

Definition at line 91 of file XMPCommonFwdDeclarations.h.

## ◆ spcIUTF8String

typedef shared_ptr< const IUTF8String > AdobeXMPCommon::spcIUTF8String

Definition at line 80 of file XMPCommonFwdDeclarations.h.

## ◆ spcIUTF8Strings

typedef shared_ptr< cIUTF8Strings > AdobeXMPCommon::spcIUTF8Strings

Definition at line 124 of file XMPCommonFwdDeclarations.h.

## ◆ spcIUTF8Strings_const

typedef shared_ptr< const cIUTF8Strings > AdobeXMPCommon::spcIUTF8Strings_const

Definition at line 126 of file XMPCommonFwdDeclarations.h.

## ◆ spcvoid

typedef shared_ptr< const void * > AdobeXMPCommon::spcvoid

Definition at line 49 of file XMPCommonFwdDeclarations.h.

## ◆ spIConfigurationManager

typedef shared_ptr< IConfigurationManager > AdobeXMPCommon::spIConfigurationManager

Definition at line 112 of file XMPCommonFwdDeclarations.h.

## ◆ spIError

typedef shared_ptr< IError > AdobeXMPCommon::spIError

Definition at line 68 of file XMPCommonFwdDeclarations.h.

## ◆ spIErrorNotifier

typedef shared_ptr< IErrorNotifier > AdobeXMPCommon::spIErrorNotifier

Definition at line 101 of file XMPCommonFwdDeclarations.h.

## ◆ spIMemoryAllocator

typedef shared_ptr< IMemoryAllocator > AdobeXMPCommon::spIMemoryAllocator

Definition at line 90 of file XMPCommonFwdDeclarations.h.

## ◆ spIUTF8String

typedef shared_ptr< IUTF8String > AdobeXMPCommon::spIUTF8String

Definition at line 79 of file XMPCommonFwdDeclarations.h.

## ◆ spIUTF8Strings

typedef shared_ptr< IUTF8Strings > AdobeXMPCommon::spIUTF8Strings

Definition at line 123 of file XMPCommonFwdDeclarations.h.

## ◆ spIUTF8Strings_const

typedef shared_ptr< const IUTF8Strings > AdobeXMPCommon::spIUTF8Strings_const

Definition at line 125 of file XMPCommonFwdDeclarations.h.

## ◆ spvoid

typedef shared_ptr< void > AdobeXMPCommon::spvoid

Definition at line 48 of file XMPCommonFwdDeclarations.h.

## ◆ uint32

typedef XMP_Uns32 AdobeXMPCommon::uint32

Definition at line 174 of file XMPCommonDefines.h.

## ◆ uint64

typedef XMP_Uns64 AdobeXMPCommon::uint64

Definition at line 172 of file XMPCommonDefines.h.

## Enumeration Type Documentation

## ◆ eConfigurableErrorCode

enum AdobeXMPCommon::eConfigurableErrorCode

Indicates various types of error codes within Configurable domain.

Enumerator
kCECNone | Indicates no error.
kCECKeyNotSupported | Indicates that key is not supported by the object.
kCECValueTypeNotSupported | Indicates different type of value provided than the one supported for a key.
kCECPreviousTypeDifferent | Indicates that different value type is previously stored for a key.
kCECValueTypeMismatch | Indicates the type of value stored for a key is different than what client is asking for.
kCECValueNotSupported | Indicates an invalid value is provided.
kCECodeMaxValue | Maximum value this enum can hold, should be treated as invalid value.

Definition at line 92 of file XMPCommonErrorCodes.h.

92 {
94 kCECNone = 0,
95
97 kCECKeyNotSupported = 1,
98
100 kCECValueTypeNotSupported = 2,
101
103 kCECPreviousTypeDifferent = 3,
104
106 kCECValueTypeMismatch = 4,
107
109 kCECValueNotSupported = 5,
110
112 kCECodeMaxValue = 0xFFFFFFFF
113 } eConfigurableErrorCode;

## ◆ eGeneralErrorCode

enum AdobeXMPCommon::eGeneralErrorCode

Indicates various types of error codes within General Domain.

Enumerator
kGECNone | Indicates no error.
kGECParametersNotAsExpected | Indicates that parameters passed to function are not as expected.
kGECVersionUnavailable | Indicates that version expected by client is not available in the library.
kGECAssertionFailure | Indicates that some assertion has failed.
kGECLogicalError | Indicates logic failure.
kGECIndexOutOfBounds | Indicates index provided is out of bounds.
kGECInternalFailure | Indicates an internal failure.
kGECDeprecatedFunctionCall | Indicates a call to deprecated function.
kGECExternalFailure | Indicates an external failure.
kGECUnknownFailure | Indicates an unknown failure.
kGECUserAbort | Indicates an error due to User Abort.
kGECInterfaceUnavailable | Indicates a particular interface is not available.
kGECClientThrownExceptionCaught | Indicates that client code has thrown some exception.
kGECStandardException | Indicates that standard exception has occurred.
kGECUnknownExceptionCaught | Indicates that some unknown exception has occurred.
kGECNotImplemented | Indicates that functionality is not yet implemented.
kGECMaxValue | Maximum value this enum can hold, should be treated as invalid value.

Definition at line 22 of file XMPCommonErrorCodes.h.

22 {
24 kGECNone = 0,
25
27 kGECParametersNotAsExpected = 1,
28
30 kGECVersionUnavailable = 2,
31
33 kGECAssertionFailure = 3,
34
36 kGECLogicalError = 4,
37
39 kGECIndexOutOfBounds = 5,
40
42 kGECInternalFailure = 6,
43
45 kGECDeprecatedFunctionCall = 7,
46
48 kGECExternalFailure = 8,
49
51 kGECUnknownFailure = 9,
52
54 kGECUserAbort = 10,
55
57 kGECInterfaceUnavailable = 11,
58
60 kGECClientThrownExceptionCaught = 100,
61
63 kGECStandardException = 101,
64
66 kGECUnknownExceptionCaught = 200,
67
69 kGECNotImplemented = 10000,
70
72 kGECMaxValue = kMaxEnumValue
73 } eGeneralErrorCode;

## ◆ eMemoryManagementErrorCode

enum AdobeXMPCommon::eMemoryManagementErrorCode

Indicates various types of error codes within Memory Management domain.

Enumerator
kMMECNone | Indicates no error.
kMMECAllocationFailure | Indicates that allocation has failed.
kMMECMaxValue | Maximum value this enum can hold, should be treated as invalid value.

Definition at line 78 of file XMPCommonErrorCodes.h.

78 {
80 kMMECNone = 0,
81
83 kMMECAllocationFailure = 1,
84
86 kMMECMaxValue = kMaxEnumValue
87 } eMemoryManagementErrorCode;

## Function Documentation

## ◆ BASE_CLASS() [1/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IConfigurationManager | ,
|  | ICONFIGURATIONMANAGER_VERSION |
| ) |  |

## ◆ BASE_CLASS() [2/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IError | ,
|  | IERROR_VERSION |
| ) |  |

## ◆ BASE_CLASS() [3/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IErrorNotifier | ,
|  | IERRORNOTIFIER_VERSION |
| ) |  |

## ◆ BASE_CLASS() [4/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IMemoryAllocator | ,
|  | IMEMORYALLOCATOR_VERSION |
| ) |  |

## ◆ BASE_CLASS() [5/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IObjectFactory | ,
|  | IOBJECTFACTORY_VERSION |
| ) |  |

## ◆ BASE_CLASS() [6/6]

typedef AdobeXMPCommon::BASE_CLASS | ( | IUTF8String | ,
|  | IUTF8STRING_VERSION |
| ) |  |

## ◆ kAllBits()

static const uint32 AdobeXMPCommon::kAllBits | ( | 0xFFFFFFFF |  | ) |
| static

## ◆ kIConfigurationManagerID()

static const uint64 AdobeXMPCommon::kIConfigurationManagerID | ( | 0x6e436f6e664d6772 |  | ) |
| static

## ◆ kIErrorID()

static const uint64 AdobeXMPCommon::kIErrorID | ( | 0x6e4572726f722020 |  | ) |
| static

## ◆ kIErrorNotifierID()

static const uint64 AdobeXMPCommon::kIErrorNotifierID | ( | 0x6e4572724e6f7466 |  | ) |
| static

## ◆ kIObjectFactoryID()

static const uint64 AdobeXMPCommon::kIObjectFactoryID | ( | 0x6e4f626a46616374 |  | ) |
| static

Referenced by AdobeXMPCommon::IObjectFactory_v1::GetInterfaceID().

## ◆ kIUTF8StringID()

static const uint64 AdobeXMPCommon::kIUTF8StringID | ( | 0x6e55544638537472 |  | ) |
| static

## ◆ kMaxEnumValue()

static const uint32 AdobeXMPCommon::kMaxEnumValue | ( | Max_XMP_Uns32 |  | ) |
| static

## ◆ kMaxSize()

const sizet AdobeXMPCommon::kMaxSize | ( | (sizet) - | 1 | ) |

## ◆ MemAllocate()

void* AdobeXMPCommon::MemAllocate | ( | sizet | size | ) |

## ◆ MemRelease()

void AdobeXMPCommon::MemRelease | ( | void * | ptr | ) |

## ◆ npos()

const sizet AdobeXMPCommon::npos | ( | kMaxSize |  | ) |

Referenced by AdobeXMPCommon::IUTF8String_v1::compare(), AdobeXMPCommon::IUTF8String_v1::find(), and AdobeXMPCommon::IUTF8String_v1::rfind().

## Variable Documentation

## ◆ pcIConfigurable

const typedef IConfigurable* AdobeXMPCommon::pcIConfigurable

Definition at line 118 of file XMPCommonFwdDeclarations.h.

## ◆ pcIConfigurationManager

const typedef IConfigurationManager* AdobeXMPCommon::pcIConfigurationManager

Definition at line 111 of file XMPCommonFwdDeclarations.h.

## ◆ pcIConfigurationManager_base

const typedef IConfigurationManager_v1* AdobeXMPCommon::pcIConfigurationManager_base

Definition at line 108 of file XMPCommonFwdDeclarations.h.

## ◆ pcIError

const typedef IError* AdobeXMPCommon::pcIError

Definition at line 67 of file XMPCommonFwdDeclarations.h.

## ◆ pcIError_base

const typedef IError_v1* AdobeXMPCommon::pcIError_base

Definition at line 64 of file XMPCommonFwdDeclarations.h.

Referenced by AdobeXMPCommon::ReportErrorAndContinueFunctor::operator()().

## ◆ pcIErrorNotifier

const typedef IErrorNotifier* AdobeXMPCommon::pcIErrorNotifier

Definition at line 100 of file XMPCommonFwdDeclarations.h.

## ◆ pcIErrorNotifier_base

const typedef IErrorNotifier_v1* AdobeXMPCommon::pcIErrorNotifier_base

Definition at line 97 of file XMPCommonFwdDeclarations.h.

## ◆ pcIMemoryAllocator

const typedef IMemoryAllocator* AdobeXMPCommon::pcIMemoryAllocator

Definition at line 89 of file XMPCommonFwdDeclarations.h.

## ◆ pcIMemoryAllocator_base

const typedef IMemoryAllocator_v1* AdobeXMPCommon::pcIMemoryAllocator_base

Definition at line 86 of file XMPCommonFwdDeclarations.h.

## ◆ pcIObjectFactory

const typedef IObjectFactory* AdobeXMPCommon::pcIObjectFactory

Definition at line 58 of file XMPCommonFwdDeclarations.h.

## ◆ pcIObjectFactory_base

const typedef IObjectFactory_v1* AdobeXMPCommon::pcIObjectFactory_base

Definition at line 55 of file XMPCommonFwdDeclarations.h.

## ◆ pcIUTF8String

const typedef IUTF8String* AdobeXMPCommon::pcIUTF8String

Definition at line 78 of file XMPCommonFwdDeclarations.h.

## ◆ pcIUTF8String_base

const typedef IUTF8String_v1* AdobeXMPCommon::pcIUTF8String_base

Definition at line 75 of file XMPCommonFwdDeclarations.h.

## ◆ pcvoid

const typedef void* AdobeXMPCommon::pcvoid

Definition at line 47 of file XMPCommonFwdDeclarations.h.

AdobeXMPCommon::kCECValueTypeMismatch
@ kCECValueTypeMismatch
Indicates the type of value stored for a key is different than what client is asking for.
Definition: XMPCommonErrorCodes.h:106
AdobeXMPCommon::kGECNone
@ kGECNone
Indicates no error.
Definition: XMPCommonErrorCodes.h:24
AdobeXMPCommon::eGeneralErrorCode
eGeneralErrorCode
Indicates various types of error codes within General Domain.
Definition: XMPCommonErrorCodes.h:22
AdobeXMPCommon::kCECodeMaxValue
@ kCECodeMaxValue
Maximum value this enum can hold, should be treated as invalid value.
Definition: XMPCommonErrorCodes.h:112
AdobeXMPCommon::kGECStandardException
@ kGECStandardException
Indicates that standard exception has occurred.
Definition: XMPCommonErrorCodes.h:63
AdobeXMPCommon::kGECUnknownExceptionCaught
@ kGECUnknownExceptionCaught
Indicates that some unknown exception has occurred.
Definition: XMPCommonErrorCodes.h:66
AdobeXMPCommon::kCECKeyNotSupported
@ kCECKeyNotSupported
Indicates that key is not supported by the object.
Definition: XMPCommonErrorCodes.h:97
AdobeXMPCommon::kGECExternalFailure
@ kGECExternalFailure
Indicates an external failure.
Definition: XMPCommonErrorCodes.h:48
AdobeXMPCommon::kGECLogicalError
@ kGECLogicalError
Indicates logic failure.
Definition: XMPCommonErrorCodes.h:36
AdobeXMPCommon::eMemoryManagementErrorCode
eMemoryManagementErrorCode
Indicates various types of error codes within Memory Management domain.
Definition: XMPCommonErrorCodes.h:78
AdobeXMPCommon::kGECMaxValue
@ kGECMaxValue
Maximum value this enum can hold, should be treated as invalid value.
Definition: XMPCommonErrorCodes.h:72
AdobeXMPCommon::kMaxEnumValue
static const uint32 kMaxEnumValue(Max_XMP_Uns32)
AdobeXMPCommon::kGECClientThrownExceptionCaught
@ kGECClientThrownExceptionCaught
Indicates that client code has thrown some exception.
Definition: XMPCommonErrorCodes.h:60
AdobeXMPCommon::kCECValueNotSupported
@ kCECValueNotSupported
Indicates an invalid value is provided.
Definition: XMPCommonErrorCodes.h:109
AdobeXMPCommon::kGECIndexOutOfBounds
@ kGECIndexOutOfBounds
Indicates index provided is out of bounds.
Definition: XMPCommonErrorCodes.h:39
AdobeXMPCommon::kGECInternalFailure
@ kGECInternalFailure
Indicates an internal failure.
Definition: XMPCommonErrorCodes.h:42
AdobeXMPCommon::kGECDeprecatedFunctionCall
@ kGECDeprecatedFunctionCall
Indicates a call to deprecated function.
Definition: XMPCommonErrorCodes.h:45
AdobeXMPCommon::kCECNone
@ kCECNone
Indicates no error.
Definition: XMPCommonErrorCodes.h:94
AdobeXMPCommon::kCECValueTypeNotSupported
@ kCECValueTypeNotSupported
Indicates different type of value provided than the one supported for a key.
Definition: XMPCommonErrorCodes.h:100
AdobeXMPCommon::kGECUserAbort
@ kGECUserAbort
Indicates an error due to User Abort.
Definition: XMPCommonErrorCodes.h:54
AdobeXMPCommon::eConfigurableErrorCode
eConfigurableErrorCode
Indicates various types of error codes within Configurable domain.
Definition: XMPCommonErrorCodes.h:92
AdobeXMPCommon::kGECUnknownFailure
@ kGECUnknownFailure
Indicates an unknown failure.
Definition: XMPCommonErrorCodes.h:51
AdobeXMPCommon::kMMECMaxValue
@ kMMECMaxValue
Maximum value this enum can hold, should be treated as invalid value.
Definition: XMPCommonErrorCodes.h:86
AdobeXMPCommon::kGECParametersNotAsExpected
@ kGECParametersNotAsExpected
Indicates that parameters passed to function are not as expected.
Definition: XMPCommonErrorCodes.h:27
AdobeXMPCommon::kMMECAllocationFailure
@ kMMECAllocationFailure
Indicates that allocation has failed.
Definition: XMPCommonErrorCodes.h:83
AdobeXMPCommon::kGECVersionUnavailable
@ kGECVersionUnavailable
Indicates that version expected by client is not available in the library.
Definition: XMPCommonErrorCodes.h:30
AdobeXMPCommon::kGECAssertionFailure
@ kGECAssertionFailure
Indicates that some assertion has failed.
Definition: XMPCommonErrorCodes.h:33
AdobeXMPCommon::kMMECNone
@ kMMECNone
Indicates no error.
Definition: XMPCommonErrorCodes.h:80
AdobeXMPCommon::kCECPreviousTypeDifferent
@ kCECPreviousTypeDifferent
Indicates that different value type is previously stored for a key.
Definition: XMPCommonErrorCodes.h:103
AdobeXMPCommon::kGECInterfaceUnavailable
@ kGECInterfaceUnavailable
Indicates a particular interface is not available.
Definition: XMPCommonErrorCodes.h:57
AdobeXMPCommon::kGECNotImplemented
@ kGECNotImplemented
Indicates that functionality is not yet implemented.
Definition: XMPCommonErrorCodes.h:69